#version 150

//const vec4 color1=vec4(0.95,0.95,0,0.8);
//const vec4 color2=vec4(0.3,0,0,0.4);
//const vec4 color3=vec4(0.2,0.2,0,0.5);

const vec4 color1=vec4(0,0,0.9,0.8);
const vec4 color2=vec4(0.0,0,0.1,0.2);

#include "ShaderFInterface.glsl"
#include "ShaderFFunctions.glsl"

void main(void) {
  float aRatio=1/(time*40+1);

  vec4 aColor=marbleWoody(aRatio*position);

  out_Color =clamp(aColor,0,1);
}	
